import { EventEmitter } from '../../../stencil-public-runtime';
/**
 * @deprecated This component will be removed in v8. Please use the `pn-progress-stepper` instead.
 * @see {@link https://portal.postnord.com/web-components/?path=/docs/components-feedback-progress-stepper--docs Use `pn-progress-stepper` instead.}
 */
export declare class PnProgressIndicator {
    hostElement: HTMLElement;
    /** Takes the index of the active step */
    activeStep: number;
    /** This will emit when progress is changed and is the value you want to bind to your VM state */
    progresschange: EventEmitter<number>;
    setActiveStepHandler({ detail }: {
        detail: any;
    }): void;
    componentWillLoad(): void;
    componentDidUpdate(): void;
    passPropsToChildren(): void;
    render(): any;
}
